﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Zpovednice
{
    public class Profile
    {
        public int? Id { get; set; }
        public string Name { get; set; }
        public string Password { get; set; }
        public int? Age { get; set; }
        public Gender Gender { get; set; }
        public bool IsAnonymous { get { return !Id.HasValue; } }


        public IEnumerable<PersonalMessage> PersonalMessages { get; set; }

        public DateTime CreationDate { get; set; }
        public DateTime LaastLogIn  { get; set; }
        public DateTime LastActivity { get; set; }

        public int ActivityLevel { get; set; }
        public bool IsOnline { get; set; }
    }
}
